export declare class Guid {
    private static readonly patternV4;
    private static readonly emptyStr;
    private static readonly MAX_INT_32;
    private contentStr?;
    private contentInt?;
    private readonly DASH;
    private readonly DASH_REGEXP;
    constructor(str?: string);
    static empty(): Guid;
    static newGuid(): Guid;
    static isValid(str: string): boolean;
    isValid(): boolean;
    isEmpty(): boolean;
    equals(otherGuid: Guid): boolean;
    toString(): string;
    toNumber(): number;
    private getNumberFromGuidString;
    private static generate;
    private static generateRandomDecimal;
    private static getCryptoImplementation;
}
